resources:
  - ../../../../base

components:
  - ../../../../components/dev/frontend

commonAnnotations:
  app: react-fe

namePrefix: dev-react-

namespace: dev-react-fe

patches:
  - patch: |-
      - op: replace
        path: /metadata/name
        value: dev-react-fe
    target:
      kind: Namespace
      name: base

  ## WATCH OUT FOR VALUE IMAGE, IT SHOULD BE CONTAIN THE SAME VALUE WITH VARIABLE $CI_REGISTRY_IMAGE. IF YOU USE PRIVATE REGISTRY (NOT USING GITLAB REGISTRY), YOU SHOULD CREATE NEW VARIABLE IN YOUR CI/CD CONFIGURATION AND UPDATE THE VARIABLE ON PIPELINE MANIFESTS
  - patch: |-
      - op: replace
        path: /metadata/name
        value: fe-svc
      - op: replace
        path: /metadata/namespace
        value: dev-react-fe
      - op: replace
        path: /spec/selector/matchLabels/app
        value: react-fe
      - op: replace
        path: /spec/template/metadata/labels/app
        value: react-fe
      - op: replace
        path: /spec/template/spec/containers/0/name
        value: react-fe
      - op: replace
        path: /spec/template/spec/containers/0/image
        value: registry.gitlab.com/devops-sanbox/apps/frontend/react-demo-app-fe/dev:build-2023-12-30-commit-512a51f4
      - op: replace
        path: /spec/template/spec/containers/0/ports/0/containerPort
        value: 3000
      - op: replace
        path: /spec/template/spec/containers/0/ports/0/name
        value: fe-svc
      - op: replace
        path: /spec/template/spec/containers/0/envFrom/0/configMapRef/name
        value: dev-react-fe-config-map
      - op: replace
        path: /spec/template/spec/containers/0/envFrom/1/secretRef/name
        value: dev-react-fe-secret
    target:
      kind: Deployment
      name: base
      namespace: base

  - patch: |-
      - op: replace
        path: /metadata/name
        value: fe-svc
      - op: replace
        path: /metadata/namespace
        value: dev-react-fe
      - op: replace
        path: /spec/ports/0/port
        value: 3000
      - op: replace
        path: /spec/ports/0/targetPort
        value: 3000
      - op: replace
        path: /spec/selector/app
        value: react-fe
    target:
      kind: Service
      name: base
      namespace: base
